libzypp: zyppng::sat::LookupAttr::Impl Class Reference

libzypp 17.38.8

zyppng::sat::LookupAttr::Impl Class Reference

LookupAttr implementation. More...

## Public Member Functions
| Impl ()
| Impl (detail::CPool *pool_r, const SolvAttr &attr_r, Location loc_r)
| Impl (detail::CPool *pool_r, const SolvAttr &attr_r, Repository repo_r, Location loc_r)
| Impl (detail::CPool *pool_r, const SolvAttr &attr_r, Solvable solv_r)
SolvAttr | attr () const
void | setAttr (SolvAttr attr_r)
const StrMatcher & | strMatcher () const
void | setStrMatcher (const StrMatcher &matcher_r)
bool | pool () const
void | setPool (Location loc_r)
Repository | repo () const
void | setRepo (Repository repo_r, Location loc_r)
Solvable | solvable () const
void | setSolvable (Solvable solv_r)
SolvAttr | parent () const
void | setParent (SolvAttr attr_r)
LookupAttr::iterator | begin () const
LookupAttr::iterator | end () const

## Private Member Functions
Impl * | clone () const
| clone for RWCOW_pointer

## Private Attributes
detail::CPool * | _pool
SolvAttr | _attr
SolvAttr | _parent
Repository | _repo
Solvable | _solv
StrMatcher | _strMatcher

## Friends
Impl * | zypp::rwcowClone (const Impl *rhs)

## Detailed Description

LookupAttr implementation.

Repository and Solvable must not be set at the same time!

Note
  When looking in pool or repo, Solvable `_solv` is somewhat abused to store either `Id` `0` or `SOLVID_META`, which indicates whether the dataiterator should look into solvable or repository metadata. Remember that all Solvables with an invalid `Id`, are treated as == Solvable::noSolvable, and in a boolean context evaluate to `false`. Thus `noSolvable` may have different `Ids`.

Definition at line 46 of file lookupattr.cc.

## Constructor & Destructor Documentation

## ◆ Impl() [1/4]

zyppng::sat::LookupAttr::Impl::Impl | ( |  | ) |
| inline

Definition at line 49 of file lookupattr.cc.

## ◆ Impl() [2/4]

zyppng::sat::LookupAttr::Impl::Impl | ( | detail::CPool * | pool_r,
|  | const SolvAttr & | attr_r,
|  | Location | loc_r )
| inline

Definition at line 53 of file lookupattr.cc.

## ◆ Impl() [3/4]

zyppng::sat::LookupAttr::Impl::Impl | ( | detail::CPool * | pool_r,
|  | const SolvAttr & | attr_r,
|  | Repository | repo_r,
|  | Location | loc_r )
| inline

Definition at line 56 of file lookupattr.cc.

## ◆ Impl() [4/4]

zyppng::sat::LookupAttr::Impl::Impl | ( | detail::CPool * | pool_r,
|  | const SolvAttr & | attr_r,
|  | Solvable | solv_r )
| inline

Definition at line 59 of file lookupattr.cc.

## Member Function Documentation

## ◆ attr()

SolvAttr zyppng::sat::LookupAttr::Impl::attr | ( |  | ) | const
| inline

Definition at line 64 of file lookupattr.cc.

## ◆ setAttr()

void zyppng::sat::LookupAttr::Impl::setAttr | ( | SolvAttr | attr_r | ) |
| inline

Definition at line 67 of file lookupattr.cc.

## ◆ strMatcher()

const StrMatcher & zyppng::sat::LookupAttr::Impl::strMatcher | ( |  | ) | const
| inline

Definition at line 75 of file lookupattr.cc.

## ◆ setStrMatcher()

void zyppng::sat::LookupAttr::Impl::setStrMatcher | ( | const StrMatcher & | matcher_r | ) |
| inline

Definition at line 78 of file lookupattr.cc.

## ◆ pool()

bool zyppng::sat::LookupAttr::Impl::pool | ( |  | ) | const
| inline

Definition at line 85 of file lookupattr.cc.

## ◆ setPool()

void zyppng::sat::LookupAttr::Impl::setPool | ( | Location | loc_r | ) |
| inline

Definition at line 88 of file lookupattr.cc.

## ◆ repo()

Repository zyppng::sat::LookupAttr::Impl::repo | ( |  | ) | const
| inline

Definition at line 94 of file lookupattr.cc.

## ◆ setRepo()

void zyppng::sat::LookupAttr::Impl::setRepo | ( | Repository | repo_r,
|  | Location | loc_r )
| inline

Definition at line 97 of file lookupattr.cc.

## ◆ solvable()

Solvable zyppng::sat::LookupAttr::Impl::solvable | ( |  | ) | const
| inline

Definition at line 106 of file lookupattr.cc.

## ◆ setSolvable()

void zyppng::sat::LookupAttr::Impl::setSolvable | ( | Solvable | solv_r | ) |
| inline

Definition at line 109 of file lookupattr.cc.

## ◆ parent()

SolvAttr zyppng::sat::LookupAttr::Impl::parent | ( |  | ) | const
| inline

Definition at line 118 of file lookupattr.cc.

## ◆ setParent()

void zyppng::sat::LookupAttr::Impl::setParent | ( | SolvAttr | attr_r | ) |
| inline

Definition at line 121 of file lookupattr.cc.

## ◆ begin()

LookupAttr::iterator zyppng::sat::LookupAttr::Impl::begin | ( |  | ) | const
| inline

Definition at line 125 of file lookupattr.cc.

## ◆ end()

LookupAttr::iterator zyppng::sat::LookupAttr::Impl::end | ( |  | ) | const
| inline

Definition at line 143 of file lookupattr.cc.

## ◆ clone()

Impl * zyppng::sat::LookupAttr::Impl::clone | ( |  | ) | const
| inlineprivate

clone for RWCOW_pointer

Definition at line 157 of file lookupattr.cc.

## Friends And Related Symbol Documentation

## ◆ zypp::rwcowClone

Impl * zypp::rwcowClone | ( | const Impl * | rhs | ) |
| friend

## Member Data Documentation

## ◆ _pool

detail::CPool* zyppng::sat::LookupAttr::Impl::_pool
| private

Definition at line 147 of file lookupattr.cc.

## ◆ _attr

SolvAttr zyppng::sat::LookupAttr::Impl::_attr
| private

Definition at line 148 of file lookupattr.cc.

## ◆ _parent

SolvAttr zyppng::sat::LookupAttr::Impl::_parent
| private

Definition at line 149 of file lookupattr.cc.

## ◆ _repo

Repository zyppng::sat::LookupAttr::Impl::_repo
| private

Definition at line 150 of file lookupattr.cc.

## ◆ _solv

Solvable zyppng::sat::LookupAttr::Impl::_solv
| private

Definition at line 151 of file lookupattr.cc.

## ◆ _strMatcher

StrMatcher zyppng::sat::LookupAttr::Impl::_strMatcher
| private

Definition at line 152 of file lookupattr.cc.

The documentation for this class was generated from the following file:

- zypp/ng/sat/lookupattr.cc